Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.control
Class LensTranslatingGraphMousePlugin

    java.lang.Object
      edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
          edu.uci.ics.jung.visualization.control.TranslatingGraphMousePlugin
              edu.uci.ics.jung.visualization.control.LensTranslatingGraphMousePlugin

All Implemented Interfaces:
  EventListener, GraphMousePlugin, MouseListener, MouseMotionListener

public class LensTranslatingGraphMousePlugin
extends TranslatingGraphMousePlugin
implements MouseListener, MouseMotionListener

Extends TranslatingGraphMousePlugin and adds the capability to drag and resize the viewing lens in the graph view. Mouse1 in the center moves the lens, mouse1 on the edge resizes the lens. The default mouse button and modifiers can be overridden in the constructor.

Author:
  Tom Nelson

Field Summary
`protected boolean` | `dragOnEdge`
`protected boolean` | `dragOnLens`
`protected double` | `edgeOffset`

Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
`cursor, down, modifiers`

Constructor Summary
`LensTranslatingGraphMousePlugin()` create an instance with default modifiers
`LensTranslatingGraphMousePlugin(int modifiers)` create an instance with passed modifer value

Method Summary
`void` | `mouseDragged(MouseEvent e)` check the modifiers.
`void` | `mousePressed(MouseEvent e)` Check the event modifiers.
`void` | `mouseReleased(MouseEvent e)` unset the 'down' point and change the cursoe back to the system default cursor

Methods inherited from class edu.uci.ics.jung.visualization.control.TranslatingGraphMousePlugin
`mouseClicked, mouseEntered, mouseExited, mouseMoved`

Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
`checkModifiers, getCursor, getModifiers, setCursor, setModifiers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.awt.event.MouseListener
`mouseClicked, mouseEntered, mouseExited`

Methods inherited from interface java.awt.event.MouseMotionListener
`mouseMoved`

Field Detail

### dragOnLens

    protected boolean dragOnLens

### dragOnEdge

    protected boolean dragOnEdge

### edgeOffset

    protected double edgeOffset

Constructor Detail

### LensTranslatingGraphMousePlugin

    public LensTranslatingGraphMousePlugin()

  create an instance with default modifiers

### LensTranslatingGraphMousePlugin

    public LensTranslatingGraphMousePlugin(int modifiers)

  create an instance with passed modifer value

Parameters:
  `modifiers` - the mouse event modifier to activate this function

Method Detail

### mousePressed

    public void mousePressed(MouseEvent e)

  Check the event modifiers. Set the 'down' point for later use. If this event satisfies the modifiers, change the cursor to the system 'move cursor'

  Specified by:
    `mousePressed` in interface `MouseListener`
  Overrides:
    `mousePressed` in class `TranslatingGraphMousePlugin`
  Parameters:
    `e` - the event

### mouseReleased

    public void mouseReleased(MouseEvent e)

  unset the 'down' point and change the cursoe back to the system default cursor

  Specified by:
    `mouseReleased` in interface `MouseListener`
  Overrides:
    `mouseReleased` in class `TranslatingGraphMousePlugin`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  check the modifiers. If accepted, move or resize the lens according to the dragging of the mouse pointer

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`
  Overrides:
    `mouseDragged` in class `TranslatingGraphMousePlugin`
  Parameters:
    `e` - the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD